petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCGAMGGetType

Get solution method

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGGetType(PC pc, PCGAMGType *type)

Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

type -the type of algorithm used

### See Also

PCGAMGSetType(), PCGAMGType

Level:intermediate
Location:src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages